Subject: [PATCH v9 4/5] serial: stm32-usart: Add STM32 USART Driver

From: [email-masked] (Greg Kroah-Hartman)
Date: Wed, 10 Jun 2015 10:49:55 -0700

On Wed, Jun 10, 2015 at 06:18:37PM +0200, Maxime Coquelin wrote:
> 2015-06-10 17:42 GMT+02:00 Greg Kroah-Hartman <[email-masked]>:
> > On Wed, Jun 10, 2015 at 01:33:22PM +0200, Maxime Coquelin wrote:
> >> 2015-05-31 23:52 GMT+02:00 Greg Kroah-Hartman <[email-masked]>:
> >> > On Fri, May 22, 2015 at 11:03:35PM +0200, Maxime Coquelin wrote:
> >> >> This drivers adds support to the STM32 USART controller, which is a
> >> >> standard serial driver.
> >> >>
> >> >> Tested-by: Chanwoo Choi <[email-masked]>
> >> >> Reviewed-by: Peter Hurley <[email-masked]>
> >> >> Reviewed-by: Vladimir Zapolskiy <[email-masked]>
> >> >> Reviewed-by: Andy Shevchenko <[email-masked]>
> >> >> Signed-off-by: Maxime Coquelin <[email-masked]>
> >> >
> >> > Acked-by: Greg Kroah-Hartman <[email-masked]>
> >>
> >> Thanks Greg.
> >>
> >> Will you apply it to your tty tree for v4.2? Or it should go in
> >> someone else tree?
> >
> > It's not in my queue, I'm guessing it goes in through some other tree as
> > there are build dependancies here preventing me from taking it.
> 
> There should not be any build dependencies.
> I just tested it on my x86 machine with COMPILE_TEST on both v4.1-rc1
> and tty-next branch.
> In both case it compiles without warnings.

Ok, then feel free to resend it as a stand-alone patch please and I will
queue it up.

thanks,

greg k-h